Subject: ncurses
From: [email-masked] (Reuben Collver)

14 Jul 1997 15:53:07 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Hi,

  I've installed the win32 port of ncurses that I found at
http://www.wenet.net/~garbanzo/gnuwin32/
  I also installed the terminfo database, but deccided to try to use a
termcap file instead.

  I've successfully compiled a program of mine that uses termcap.
gcc -O -s -o byc byc.c -lncurses -DTERMCAP_FILE

  I downloaded my termcap file off my linux box and put it in /etc/termcap

  Afterwards, I set up the following environment variables
TERM=vt100
TERMINFO=/etc/termcap

  I am running an ansi device driver named nansi.sys, which is hopefully
close enough to vt100 for testing purposes when it comes to interpreting
the escape sequences.

  When I start up the program, I read the TERM environment variable and use
the tgetent() call to detect the termcap entry.

  tgetent() fails, and I am not sure why.  Anyone bored enough to help me
get curses/terminfo programs working right with gnu-win32?  I'd be grateful
=)

Ben.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".